Fatal Error When Updating MainWP Dashboard

Error Details

An error of type E_PARSE was caused in line 176 of the file /home/avagrxtd/agwmngr.com/wp-content/plugins/mainwp/class/class-mainwp-api-manager-plugin-update.php. Error message: syntax error, unexpected ‘)’

WordPress version 5.6
Current theme: Twenty Twenty-One (version 1.1)
Current plugin: MainWP Dashboard (version 4.1.4)
PHP version 7.2.34

Hi AvaGW, Please update to 4.1.4.1

Hello, I suppose I did not make myself clear. This error only happens when I try to update.

Thank you,
K

Hello, I had to delete the manager in cPanel and then I was able to download the current version and install it. We’ll see if this repeats on the next update.

Thanks,
K

Hi AvaGW, this should not happen again. The problem has been fixed in 4.1.4.1.